=== debian/changelog ===
kwallet-kf5 (5.115.0-4+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.46.0-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 02 Jun 2018 23:58:11 +0000]
  * Update symbols file for Raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 07 Sep 2024 15:08:22 +0000

kwallet-kf5 (5.115.0-4) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: remove libkwalletbackend5.so, dropped since version
    5.115.0-3~exp1.
  * CI: update/simplify configuration.
  * Remove unused debian/not-installed file.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Bump Standards-Version to 4.7.0, no changes required.
  * Remove empty line from rules.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 23:43:12 +0200

kwallet-kf5 (5.115.0-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 16:11:46 +0200

kwallet-kf5 (5.115.0-3~exp2) experimental; urgency=medium

  [ Patrick Franz ]
  * Make libkf5wallet-bin depend on kwallet6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 29 May 2024 18:50:50 +0200

kwallet-kf5 (5.115.0-3~exp1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Disable building of kwalletd and kwallet-query to prepare coinstability
    with KF6 kwallet.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 09 May 2024 17:11:36 +0200

kwallet-kf5 (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:15:19 +0200

kwallet-kf5 (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Enable LTO (Closes: #1015465).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:03:48 +0100
