=== debian/changelog ===
kwallet-kf5 (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 11:43:05 +0100

kwallet-kf5 (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:42:28 +0200

kwallet-kf5 (5.116.0-0ubuntu2) oracular; urgency=medium

  * Disable building of kwalletd and kwallet-query to make co-
    installable with KF6 kwallet. (LP: #2077164)

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Aug 2024 12:44:16 +0100

kwallet-kf5 (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:45:18 +0100

kwallet-kf5 (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:37:34 +0000

kwallet-kf5 (5.115.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:48 +0000

kwallet-kf5 (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:03:49 -0700
