=== debian/control ===
--- 
+++ 
@@ -1,45 +1,45 @@
 Source: kwallet-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libgcrypt20-dev (>= 1.5.0~),
-               libgpgme-dev | libgpgme11-dev,
-               libgpgmepp-dev (>= 1.7.0~) | libgpgmepp6-dev,
-               libgpgmepp-dev (>= 1.7.0~) | libqgpgme7-dev,
-               libkf5config-dev (>= 5.115.0~),
-               libkf5configwidgets-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5dbusaddons-dev (>= 5.115.0~),
-               libkf5doctools-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5notifications-dev (>= 5.115.0~),
-               libkf5service-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
-               libkf5windowsystem-dev (>= 5.115.0~),
+               libgpgme-dev (>= 1.7.0~),
+               libgpgmepp-dev (>= 1.7.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5configwidgets-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5dbusaddons-dev (>= 5.116.0~),
+               libkf5doctools-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5notifications-dev (>= 5.116.0~),
+               libkf5service-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
+               libkf5windowsystem-dev (>= 5.116.0~),
                libqca-qt5-2-dev (>= 2.3.1~),
                libqca-qt5-2-plugins <!nocheck>,
                libqt5sql5-sqlite,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwallet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwallet
 Rules-Requires-Root: no
 
 Package: libkf5wallet-bin
 Section: oldlibs
 Architecture: all
-Depends: kwallet6, ${misc:Depends}
+Depends: kwallet6, ${misc:Depends},
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
@@ -59,9 +59,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5config-dev (>= 5.115.0~),
+Depends: libkf5config-dev (>= 5.116.0~),
          libkf5wallet5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.115.0~),
+         libkf5windowsystem-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Recommends: libkf5wallet-doc (= ${source:Version}),
