=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_KWALLETD=OFF -DBUILD_KWALLET_QUERY=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
