## kwallet-kf5 5.116.0+p24.04+vstable+git20250916.0214

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20250916.0214-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 02:14:03 +0000
