## kwallet-kf5 5.116.0+p24.04+vstable+git20251015.1019

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251015.1019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:19:09 +0000
