=== debian/control ===
Source: kwallet-kf5
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11.1~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libboost-dev,
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev,
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5config-dev (>= 5.51.0~),
               libkf5configwidgets-dev (>= 5.51.0~),
               libkf5coreaddons-dev (>= 5.51.0~),
               libkf5dbusaddons-dev (>= 5.51.0~),
               libkf5doctools-dev (>= 5.51.0~),
               libkf5i18n-dev (>= 5.51.0~),
               libkf5iconthemes-dev (>= 5.51.0~),
               libkf5notifications-dev (>= 5.51.0~),
               libkf5service-dev (>= 5.51.0~),
               libkf5widgetsaddons-dev (>= 5.51.0~),
               libkf5windowsystem-dev (>= 5.51.0~),
               libqca-qt5-2-dev,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwallet
Vcs-Git: https://invent.kde.org/neon/kde/kwallet.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwallet
Maintainer: Neon CI <neon@kde.org>

Package: libkf5wallet-bin
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pinentry-qt
Breaks: kio (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5wallet5 (<< 4.100.0),
        libkf5webkit5 (<< 5.51)
Replaces: libkf5wallet5 (<< 4.100.0)
Description: Secure and unified container for user passwords.
 Runtime for interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the runtime files for kwallet-framework

Package: libkf5wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Replaces: libkf5wallet-bin (<< 5.41), libkf5wallet5 (<< 5.10)
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains the translation files for kwallet-framework

Package: libkf5wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5config-dev (>= 5.51.0~),
         libkf5wallet5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.51.0~),
         libkwalletbackend5-5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5wallet-doc (= ${source:Version})
Breaks: libkf5kdelibs4support-dev (<< 5.51), libkf5khtml-dev (<< 5.51)
Replaces: libkf5wallet-doc (<< 5.61.90-0)
Description: development files for kwallet-framework
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 Contains development files for kwallet-framework.

Package: libkf5wallet-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5wallet5
Architecture: any
Depends: libkf5wallet-data (= ${source:Version}),
         libkwalletbackend5-5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Interface to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
Breaks: kio (<< 5.51), libkf5khtml5 (<< 5.51), libkf5webkit5 (<< 5.51)

Package: libkwalletbackend5-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Secure and unified container for user passwords.
 Backend to KWallet, the safe desktop-wide storage
 for passwords on KDE workspaces.
