=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/frameworks/5([\d.]+)/kwallet-([\d.]+)\.tar\.xz
