## kwallet-kf5 5.116.0+p24.04+vstable+git20251123.2310

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251123.2310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 23:10:41 +0000
