## kwallet-kf5 5.116.0+p24.04+vstable+git20251231.0125

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20251231.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:25:46 +0000
