## kwallet-kf5 5.116.0+p24.04+vstable+git20260102.1128

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20260102.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:28:11 +0000
