## kwallet-kf5 5.116.0+p24.04+vstable+git20260105.1130

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vstable+git20260105.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:30:12 +0000
