## kwallet-kf5 5.116.0+p24.04+vunstable+git20251020.0309

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20251020.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:09:28 +0000
