## kwallet-kf5 5.116.0+p24.04+vunstable+git20251111.0552

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20251111.0552-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Nov 2025 05:52:40 +0000
