## kwallet-kf5 5.116.0+p24.04+vunstable+git20251123.0950

=== debian/changelog ===
kwallet-kf5 (5.116.0+p24.04+vunstable+git20251123.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:50:28 +0000
